Index: /ipk/source/bootlogos_bikergirl_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_bikergirl_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_bikergirl_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_blueskull_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_blueskull_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_blueskull_0_1/CONTROL/preinst	(revision 3679)
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+TMP=/tmp/.bootlogos
+echo "syncing disk"
+sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
+if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
+	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
+	FREE=`expr $SPACE - 100`
+	SIZE=56
+	echo "checking freespace"
+	echo packege size $SIZE kb
+	echo freespace size $FREE kb
+	if  [ "$FREE" -lt "$SIZE" ]; then
+		echo "sorry no freespace left on device"
+		exit 1
+	else
+		echo freespace ok
+	fi
+fi   
+echo "installing bootlogo ..."
+echo "checking OS"
+if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
+	echo ---------------------------
+	echo DONT USE this IPK Package!!
+	echo ---
+	echo Only for AAF Image!!
+	echo ---------------------------
+	exit 1
+fi
+exit 0
Index: /ipk/source/bootlogos_cityflash_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_cityflash_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_cityflash_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
-	SIZE=44
-	echo "check freespace"
+	SIZE=56
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_enigmalinux_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_enigmalinux_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_enigmalinux_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
-	SIZE=48
-	echo "check freespace"
+	SIZE=56
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_fantasygirl2_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_fantasygirl2_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_fantasygirl2_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_fantasygirl_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_fantasygirl_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_fantasygirl_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_firelady_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_firelady_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_firelady_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_fireskull_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_footballgirls_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_footballgirls_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_footballgirls_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_ghostrider_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_ghostrider_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_ghostrider_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_giantgirl_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_giantgirl_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_giantgirl_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_iceage2scrapufs910_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_iceage2scrapufs910_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_iceage2scrapufs910_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_linuxgirl_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_linuxgirl_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_linuxgirl_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
-	SIZE=44
-	echo "check freespace"
+	SIZE=56
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_planets_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_planets_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_planets_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
-	SIZE=44
-	echo "check freespace"
+	SIZE=56
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_thegrimreaper_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_thegrimreaper_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_thegrimreaper_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
Index: /ipk/source/bootlogos_zombie_0_1/CONTROL/preinst
===================================================================
--- /ipk/source/bootlogos_zombie_0_1/CONTROL/preinst	(revision 3678)
+++ /ipk/source/bootlogos_zombie_0_1/CONTROL/preinst	(revision 3679)
@@ -4,19 +4,33 @@
 echo "syncing disk"
 sync
+
+model=`cat /etc/model`
+	echo""
+	echo "Checking your Boxtype...."
+	echo "Some Plugins will not work correctly on your $model!"
+	echo ""
+	if [ "$model" = "" ]; then
+		echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
+		echo "Aborting installation..."
+		exit 1
+	else
+		echo "$model OK"
+	fi
+
 if [ `df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1 | wc -l` -eq 1 ]; then
 	SPACE=`df | grep /dev/mtdblock | grep var | sed 's/ \+/ /g' | cut -d ' ' -f4 | tail -n1`
 	FREE=`expr $SPACE - 100`
 	SIZE=56
-	echo "check freespace"
+	echo "checking freespace"
 	echo packege size $SIZE kb
 	echo freespace size $FREE kb
 	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace on device"
+		echo "sorry no freespace left on device"
 		exit 1
 	else
-		echo ok
+		echo freespace ok
 	fi
 fi   
-echo "install bootlogo ..."
+echo "installing bootlogo ..."
 echo "checking OS"
 if  [ `cat /etc/motd | grep AAF | grep M | grep rev | wc -l` -eq 0 ]; then                      
